Index: bin/add-iscsi-volume
===================================================================
--- bin/add-iscsi-volume	(revision 35)
+++ bin/add-iscsi-volume	(revision 36)
@@ -46,11 +46,11 @@
 do
    CHECK_TID=$(($CHECK_TID + 1))
 done 
-echo "*** Nom du volume iscsi : ***" 
+echo "*** iscsi volume name : ***" 
 while read inputline
 do
    NAME_ISCSI=$inputline 
-   echo "*** Etes-vous sur du nom : $inputline ? (y/n) ***"
+   echo "*** Are you sur : $inputline ? (y/n) ***"
    
    while read inputConfirm
    do
@@ -58,7 +58,7 @@
       then
          break
       fi
-      echo "*** Etes-vous sur du nom : $inputline ? (y/n) ***" 
+      echo "*** Are you sur : $inputline ? (y/n) ***" 
    done
 
    if [ "$inputConfirm" = "y" ]
@@ -67,23 +67,23 @@
    fi
    if [ "$inputConfirm" != "y" ]
    then
-      echo "*** Nom du volume iscsi : ***"
+      echo "*** iscsi volume name : ***"
    fi
 done
 
 echo ""
-echo "*** Etape I : Initialisation du TID et du Nom de volume ISCSI ***"
+echo "*** Step I : Initialization of TID and iscsi volume name ***"
 TODAY=$(date +%Y%m%d%H%M%S)
 ietadm --op new --tid=$CHECK_TID --params Name=iqn.$TODAY:$(hostname)-ens-zfs-iscsi-$NAME_ISCSI
 if [ $? -eq 0 ]
 then
-   echo "*** Path du device zfs (zvol) à exporter : ***"
+   echo "*** Path of zfs device (zvol) to export : ***"
    
 
    while read -e inputline
    do
       PATH_ZVOL=$inputline
-      echo "*** Etes-vous sur du path : $inputline ? (y/n) ***"
+      echo "*** Are you sur : $inputline ? (y/n) ***"
 
       while read inputConfirm
       do
@@ -91,37 +91,37 @@
          then
             break
          fi
-         echo "*** Etes-vous sur du nom : $inputline ? (y/n) ***"
+         echo "*** Are you sur : $inputline ? (y/n) ***"
       done
 
       if [ "$inputConfirm" = "y" ]
       then
-         echo "*** Check si le path zvol existe ...***"
+         echo "*** Check if zvol path exists ...***"
          ls -l $PATH_ZVOL
          if [ $? -eq 0 ]
          then
-            echo "*** Le path est valide ..."
+            echo "*** The path is valid ..."
             break
          else
-            echo "*** Le path saisi n'existe pas ...."
+            echo "*** Path doesn't exist ...."
          fi
       fi
       if [ "$inputConfirm" != "y" ]
       then
-         echo "*** Path du device zfs (zvol) à exporter : ***"
+         echo "*** Path of zfs device (zvol) to export : ***"
       fi
    done
   
    echo "" 
-   echo "*** Etape II : initialisation du PATH et du LUN du volume iscsi ***"
+   echo "*** Step II : initialization of the PATH and iscsi volume LUN ***"
    if [ $? -eq 0 ]
    then
-     echo "*** Type d'export ISCSI (fileio/blockio) : ***"
+     echo "*** ISCSI export Type (fileio/blockio) : ***"
      
      while read inputline
      do
         TYPE_EXPORT=$inputline
-        echo "*** Etes-vous sur du type d'export ISCSI : $inputline ? (y/n) ***"
+        echo "*** Are you sur : $inputline ? (y/n) ***"
 
         while read inputConfirm
         do
@@ -129,33 +129,33 @@
            then
               break
            fi
-           echo "*** Etes-vous sur du du type d'export ISCSI : $inputline ? (y/n) ***"
+           echo "*** Are you sur : $inputline ? (y/n) ***"
         done
 
         if [ "$inputConfirm" = "y" ]
         then
-           echo "*** Check si le parametre saisi est valide ...***"
+           echo "*** Check if the parameter is valid ...***"
            if [ "$TYPE_EXPORT" = "fileio" ]||[ "$TYPE_EXPORT" = "blockio" ]
            then
               break
            else
-              echo "*** Type d'export ISCSI (fileio/blockio) : ***"
+              echo "*** ISCSI export Type (fileio/blockio) : ***"
            fi
         fi
         if [ "$inputConfirm" != "y" ]
         then
-           echo "*** Type d'export ISCSI (fileio/blockio) : ***"
+           echo "*** ISCSI export Type (fileio/blockio) : ***"
         fi
      done
 
    echo "" 
-   echo "*** Etape II.B : initialisation IOMode iscsi ***"
-     echo "*** IOMode ISCSI (ro/wt) : ***"
+   echo "*** Step II.B : initialization iscsi IOMode ***"
+     echo "*** ISCSI IOMode (ro/wt) : ***"
      
      while read inputline
      do
         iomode=$inputline
-        echo "*** Etes-vous sur de IOMode  ISCSI : $inputline ? (y/n) ***"
+        echo "*** Are you sur : $inputline ? (y/n) ***"
 
         while read inputConfirm
         do
@@ -163,59 +163,59 @@
            then
               break
            fi
-           echo "*** Etes-vous sur du de IOMode ISCSI : $inputline ? (y/n) ***"
+           echo "*** Are you sur : $inputline ? (y/n) ***"
         done
 
         if [ "$inputConfirm" = "y" ]
         then
-           echo "*** Check si le parametre saisi est valide ...***"
+           echo "*** Check if the parameter is valid ...***"
            if [ "$iomode" = "ro" ]||[ "$iomode" = "wt" ]
            then
               break
            else
-              echo "*** IOMode ISCSI (ro/wt) : ***"
+              echo "*** ISCSI IOMode (ro/wt) : ***"
            fi
         fi
         if [ "$inputConfirm" != "y" ]
         then
-           echo "*** IOMode ISCSI (ro/wt) : ***"
+           echo "*** ISCSI IOMode (ro/wt) : ***"
         fi
      done
      
      echo ""
-     echo "*** Etape III : initialisation du type d'export et de IOMode iscsi ***"
+     echo "*** Step III : initialization of export Type and iscsi IOMode ***"
      ietadm --op new --tid=$CHECK_TID --lun=0 --params Path=$PATH_ZVOL,Type=$TYPE_EXPORT,IOMode=$iomode
      if [ $? -eq 0 ]
      then
 
        echo ""
-       echo "*** Etape IV : Login et mot de passe ***"
-       echo "*** Activer une restriction login/password : (y/n)"
+       echo "*** Step IV : Login and password ***"
+       echo "*** Do you enable a restriction login/password : (y/n)"
        while read inputline
        do
            if [ "$inputline" != "y" ] && [ "$inputline" != "n" ]
            then
-              echo "*** Activer une restriction login/password : (y/n)"
+              echo "*** Do you enable a restriction login/password : (y/n)"
            else
              if [ "$inputline" = "y" ]
              then
-                 echo "*** Donner un login :"
+                 echo "*** Give a login :"
                  while read inputlogin
                  do
                    if [ "$inputlogin" != "" ]
                    then
                       break
                    else
-                      echo "*** Donner un login :"
+                      echo "*** Give a login :"
                    fi
                   done
 
-                  echo "*** Donner un password :"
+                  echo "*** Give a password :"
                   while read inputpass
                   do
                      if [ "$inputpass" = "" ]
                      then
-                        echo "*** Donner un password :"
+                        echo "*** Give a password :"
                      else
                         break
                      fi
@@ -223,11 +223,11 @@
                   ietadm --op new --tid=$CHECK_TID --user --params=IncomingUser=$inputlogin,Password=$inputpass
                   if [ $? -eq 0 ]
                   then
-                    echo "*** Configuration de l'authentification [OK]"
+                    echo "*** Authentication Configuration [OK]"
        
                     echo ""
-                    echo "*** Etape IV : Ecriture dans le fichier ietd.conf ***"
-                    echo "*** Sauvegarde du fichier /etc/iet/ietd.conf ..."
+                    echo "*** Step IV : Writting in file ietd.conf ***"
+                    echo "*** Backup of /etc/iet/ietd.conf ..."
 
                     cp /etc/iet/ietd.conf /etc/iet/ietd.conf.$TODAY
 
@@ -240,16 +240,16 @@
                     echo "" >> /etc/iet/ietd.conf       
     
                     echo ""
-                    echo "*** Ajout de ISCSI $NAME_ISCSI Path:$PATH_ZVOL [OK]"
+                    echo "*** Add of ISCSI $NAME_ISCSI Path:$PATH_ZVOL [OK]"
                     echo "*** FIN ***"
                  else
-                    echo "/!\\ Configuration de l'authentification [ERROR] /!\\"
+                    echo "/!\\ Authentication Configuration [ERROR] /!\\"
                  fi
                  break
              else
                     echo ""
-                    echo "*** Etape IV : Ecriture dans le fichier ietd.conf ***"
-                    echo "*** Sauvegarde du fichier /etc/iet/ietd.conf ..."
+                    echo "*** Step IV : Writting in file ietd.conf ***"
+                    echo "*** Backup of /etc/iet/ietd.conf ..."
 
                     cp /etc/iet/ietd.conf /etc/iet/ietd.conf.$TODAY
 
@@ -262,25 +262,25 @@
                     echo "" >> /etc/iet/ietd.conf       
     
                     echo ""
-                    echo "*** Ajout de ISCSI $NAME_ISCSI Path:$PATH_ZVOL [OK]"
-                    echo "*** FIN ***"
+                    echo "*** Add of ISCSI $NAME_ISCSI Path:$PATH_ZVOL [OK]"
+                    echo "*** END ***"
                     break
              fi
            fi
        done
 
      else
-       echo "*** Un probleme est survenu lors de l'etape III (initialisation du type d'export iscsi). Operation abandonnée ...***"
+       echo "*** Problem during the step III (initialization of iscsi export Type). Canceled Process ...***"
        ietadm --op delete --tid=$CHECK_TID
      fi
      
    else
-      echo "*** Un probleme est survenu lors de l'etape II (initialisation du PATH et LUN du volume iscsi). Opération abandonnée ...***"
+      echo "*** Problem during the step II (initialization of PATH and  iscsi volume LUN). Canceled Process ...***"
       ietadm --op delete --tid=$CHECK_TID
    fi
 
 else
-   echo "*** Un probleme est survenu lors de l'etape I (initialisation TID et Nom du volume iscsi). Opération abandonnée ...***"
+   echo "*** Problem during the step I (initialization of TID and iscsi volume name). Canceled Process ...***"
    ietadm --op delete --tid=$CHECK_TID
 fi
 }
